FedoraForum.org - Fedora Support Forums and Community
Results 1 to 4 of 4
  1. #1
    Join Date
    Sep 2006
    Location
    Dundee, Michigan
    Age
    38
    Posts
    1,213

    Upgrading F7 64bit to F8 64bit errors out with strange error

    I have tried to upgrade F7 64bit to F8 64bit using the F8 repos everything downloads fine but then when it runs the transaction check before installing the downloaded packages i get the following error

    Code:
    Running rpm_check_debug
    ERROR with rpm_check_debug vs depsolve:
    Package compiz needs libwnck-1.so.18, this is not available.
    Package dbus needs libexpat.so.0, this is not available.
    Complete!
    now I am not sure why rpm_check_debug is on I did not turn Debug on

    but i can not get past this point I have tried now 10 times all with fresh downloads of packages.
    Andrew Jamison
    IRC:ajamison5579
    Linux Counter # 435228
    -----------------
    Wiki page helping to show appropriate Fedora versions of Ubuntu commands [url=https://fedoraproject.org/wiki/FedorianDictionary]Fedora Dictionary[/url <--- Outdated been very busy looking to update it soon

  2. #2
    Seve's Avatar
    Seve is offline Retired Community Manager
    Join Date
    Oct 2004
    Location
    The GTA, Ontario, Canada
    Age
    59
    Posts
    12,371
    Hello:
    I've never done an upgrade from one version to the other, so this is just a suggestion.

    How about trying to exclude the compiz packages ?

    You can always sort that out after you get through with the update.

    Seve
    Registered Linux User: #384977
    .................................................. ............
    See the Links below for more Help and those much wanted extras ... :)


  3. #3
    Join Date
    Sep 2006
    Location
    Dundee, Michigan
    Age
    38
    Posts
    1,213
    well that did not work ethier I had to download and upgrade from an ISO
    Andrew Jamison
    IRC:ajamison5579
    Linux Counter # 435228
    -----------------
    Wiki page helping to show appropriate Fedora versions of Ubuntu commands [url=https://fedoraproject.org/wiki/FedorianDictionary]Fedora Dictionary[/url <--- Outdated been very busy looking to update it soon

  4. #4
    Join Date
    Dec 2007
    Posts
    1
    I ran into the same problem. It looks like the x86_64 version of FC7 had both an i386 and x86_64 version of dbus, but FC8 has only the x86_64 version. To get past the error I ran:

    Code:
    yum erase dbus.i386
    after updating rpm and yum, but before running

    Code:
    yum upgrade
    This removed the complaint about compiz as well, and I was able to proceed with the upgrade.

Similar Threads

  1. Vista 64bit and Fedora 64bit boot
    By CrOwN. in forum Using Fedora
    Replies: 6
    Last Post: 6th July 2008, 07:22 PM
  2. VLC Error Check (Fedora 8, 64bit)
    By yaxomoxay in forum Using Fedora
    Replies: 1
    Last Post: 5th April 2008, 01:21 AM
  3. Upgrading FC5 (32bit) with FC6 (64bit)
    By linuxSince97 in forum EOL (End Of Life) Versions
    Replies: 0
    Last Post: 31st October 2006, 03:02 AM
  4. FC5 64bit and wxPython errors
    By hdixon in forum Using Fedora
    Replies: 0
    Last Post: 11th July 2006, 06:55 AM
  5. libstdc++.so.5 error 64bit fc3
    By the in forum EOL (End Of Life) Versions
    Replies: 8
    Last Post: 23rd September 2005, 10:35 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •